> ## Documentation Index
> Fetch the complete documentation index at: https://docs.azalt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List form element submission activity

> List value history and comments attached to a single form element submission.



## OpenAPI

````yaml https://app.azalt.co/api/v1/openapi.tr.json get /form-element-submission-activity/{formElementSubmissionId}
openapi: 3.0.3
info:
  title: Erguvan Genel API
  version: 1.0.0
  description: Erguvan platformuna entegrasyon için REST API referansının Türkçe sürümü.
servers:
  - url: https://app.azalt.co/api/v1
security: []
tags:
  - name: Activity
    x-displayName: Aktiviteler
  - name: ActivityDefinition
    x-displayName: Aktivite Tanımları
  - name: ApiKey
    x-displayName: API Anahtarları
  - name: Dashboard
    x-displayName: Panolar
  - name: DashboardWidget
    x-displayName: Pano Bileşenleri
  - name: Dataset
    x-displayName: Veri Setleri
  - name: DatasetItem
    x-displayName: Veri Seti Öğeleri
  - name: File
    x-displayName: Dosyalar
  - name: Form
    x-displayName: Formlar
  - name: FormElement
    x-displayName: Form Öğeleri
  - name: FormElementSubmission
    x-displayName: Form Öğesi Gönderimleri
  - name: FormSite
    x-displayName: Form-Tesis İlişkilendirmeleri
  - name: FormSubmission
    x-displayName: Form Gönderimleri
  - name: Indicator
    x-displayName: Göstergeler
  - name: Organization
    x-displayName: Organizasyonlar
  - name: Site
    x-displayName: Tesisler
  - name: Target
    x-displayName: Hedefler
  - name: Unit
    x-displayName: Birimler
  - name: User
    x-displayName: Kullanıcılar
paths:
  /form-element-submission-activity/{formElementSubmissionId}:
    get:
      tags:
        - FormElementSubmissionActivity
      summary: List form element submission activity
      description: >-
        List value history and comments attached to a single form element
        submission.
      operationId: listFormElementSubmissionActivity
      parameters:
        - in: path
          name: formElementSubmissionId
          schema:
            type: string
          required: true
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  oneOf:
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - activity
                        id:
                          type: string
                        formElementSubmissionId:
                          type: string
                          nullable: true
                        formSubmissionId:
                          type: string
                        formElementId:
                          type: string
                        periodUnit:
                          type: number
                        type:
                          type: string
                          enum:
                            - VALUE_CREATED
                            - VALUE_UPDATED
                            - VALUE_DELETED
                            - STATUS_APPROVED
                            - STATUS_REJECTED
                            - STATUS_REVERTED
                        actorUserId:
                          type: string
                          nullable: true
                        dataImportId:
                          type: string
                          nullable: true
                        actorName:
                          type: string
                          nullable: true
                        actorEmail:
                          type: string
                          nullable: true
                        actorImage:
                          type: string
                          nullable: true
                        oldValue:
                          nullable: true
                        newValue:
                          nullable: true
                        oldSelectedUnitId:
                          type: string
                          nullable: true
                        newSelectedUnitId:
                          type: string
                          nullable: true
                        oldStatus:
                          type: string
                          nullable: true
                        newStatus:
                          type: string
                          nullable: true
                        metadata:
                          nullable: true
                        importFile:
                          type: object
                          nullable: true
                          properties:
                            id:
                              type: string
                            fileName:
                              type: string
                            extension:
                              type: string
                              nullable: true
                            signedUrl:
                              type: string
                              nullable: true
                          required:
                            - id
                            - fileName
                            - extension
                            - signedUrl
                        createdAt:
                          type: string
                      required:
                        - kind
                        - id
                        - formElementSubmissionId
                        - formSubmissionId
                        - formElementId
                        - periodUnit
                        - type
                        - actorUserId
                        - dataImportId
                        - actorName
                        - actorEmail
                        - actorImage
                        - oldSelectedUnitId
                        - newSelectedUnitId
                        - oldStatus
                        - newStatus
                        - importFile
                        - createdAt
                    - type: object
                      properties:
                        kind:
                          type: string
                          enum:
                            - comment
                        id:
                          type: string
                        formElementSubmissionId:
                          type: string
                        body:
                          type: string
                        userId:
                          type: string
                          nullable: true
                        userName:
                          type: string
                          nullable: true
                        userEmail:
                          type: string
                          nullable: true
                        userImage:
                          type: string
                          nullable: true
                        organizationId:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        deletedAt:
                          type: string
                          nullable: true
                        deletedByUserId:
                          type: string
                          nullable: true
                        canModify:
                          type: boolean
                      required:
                        - kind
                        - id
                        - formElementSubmissionId
                        - body
                        - userId
                        - userName
                        - userEmail
                        - userImage
                        - organizationId
                        - createdAt
                        - updatedAt
                        - deletedAt
                        - deletedByUserId
                        - canModify
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '401':
          description: Authorization not provided
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.UNAUTHORIZED'
        '403':
          description: Insufficient access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.FORBIDDEN'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
      security:
        - Authorization: []
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Invalid input data error (400)
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.UNAUTHORIZED:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Authorization not provided
        code:
          type: string
          description: The error code
          example: UNAUTHORIZED
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Authorization not provided error (401)
      description: The error information
      example:
        code: UNAUTHORIZED
        message: Authorization not provided
        issues: []
    error.FORBIDDEN:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Insufficient access
        code:
          type: string
          description: The error code
          example: FORBIDDEN
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Insufficient access error (403)
      description: The error information
      example:
        code: FORBIDDEN
        message: Insufficient access
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Not found error (404)
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Internal server error error (500)
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````